# Class DataGridCellDefDirective<T>

#### Type Parameters

- T extends Record<string, any>

- Defined in lib/data-grid-cell-def.directive.ts:16

#####
Index

### Constructors

constructor

### Properties

$implicit
data
template

### Methods

ngTemplateContextGuard

## Constructors

### constructor

- new DataGridCellDefDirective<T>(template): DataGridCellDefDirective<T>

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - template: TemplateRef<DataGridCellDefDirectiveContext<T>>

  #### Returns DataGridCellDefDirective<T>

  - Defined in lib/data-grid-cell-def.directive.ts:27

## Properties

### $implicit

$implicit: T[keyof T]

- Defined in lib/data-grid-cell-def.directive.ts:24

### data

data: T

- Defined in lib/data-grid-cell-def.directive.ts:25

### template

template: TemplateRef<DataGridCellDefDirectiveContext<T>>

- Defined in lib/data-grid-cell-def.directive.ts:29

## Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard<T>(dir, ctx): ctx is DataGridCellDefDirectiveContext<T>

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - dir: DataGridCellDefDirective<T>
  - ctx: any

  #### Returns ctx is DataGridCellDefDirectiveContext<T>

  - Defined in lib/data-grid-cell-def.directive.ts:17